Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Interface XYZLabelGenerator

All Known Implementing Classes:
  `StandardXYZLabelGenerator`

public interface XYZLabelGenerator
A label generator for XYZ charts, used to create labels for the chart legend. The (`StandardXYZLabelGenerator`) class provides the default implementation.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`<S extends Comparable<S>>
String`
`generateSeriesLabel(XYZDataset<S> dataset, S seriesKey)`
Generates a label for one series in a `XYZDataset`.

## Method Details

### generateSeriesLabel

<S extends Comparable<S>> String generateSeriesLabel(XYZDataset<S> dataset, S seriesKey)
Generates a label for one series in a `XYZDataset`.

Type Parameters:
  `S` - The type of the series keys in the dataset.
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
Returns:
  The series label (possibly `null`).